<template lang="html">
  <v-btn @click="execute" color="primary">
  Execute
  </v-btn>
</template>

<script>
import { getGovernor } from "@/helpers/contracts/governance";
import { findProposal } from "@/helpers/proposal";
import { ethers } from "ethers";

export default {
  name: "Succeeded",
  props: [
    "proposalId"
  ],
  methods: {
    async execute() {
      const proposal = await findProposal(this.proposalId);
      const governor = getGovernor();

      const connected = await governor.connect(this.$store.state.provider.getSigner(this.$store.state.accounts[0]));

      await connected.execute(proposal.targets, proposal.values, proposal.calldatas, ethers.utils.id(proposal.description));
    }
  }
}
</script>
